DELUSER(8)

BEZEICHNUNG
deluser, delgroup - entfernt einen Benutzer oder eine Gruppe aus dem System

ÜBERSICHT
deluser [Optionen] [--force] [--remove-home] [--remove-all-files] [--backup] [--backup-to VERZEICHNIS] Benutzer

deluser --group [Optionen] Gruppe
delgroup [Optionen] [--only-if-empty] Gruppe

deluser [options] Benutzergruppe

  GEMEINSAME OPTIONEN
[--quiet] [--system] [--help] [--version] [--conf DATEI]

BESCHREIBUNG

Deluser und Delgroup entfernen Benutzer und Gruppen aus dem System. Ihr Vorgehen richtet sich nach den auf der Befehlszeile übergebenen Optionen und Konfigurationsinformationen in /etc/deluser.conf und /etc/adduser.conf. Sie sind bedienungsfreundlichere Frontends für die Programme userdel und groupdel. Unter anderem löschen sie optional das Home-Verzeichnis oder sogar alle im System vorhandenen Dateien des zu entfernenden Benutzers und lassen benutzerdefinierte Skripte laufen. Deluser und Delgroup können in einem von drei Modi betrieben werden:

  Entfernen eines normalen Benutzers
Wird deluser ohne die Option --group und mit einem nicht optionalen Argument aufgerufen, wird es einen normalen Benutzer entfernen. Standardmäßig wird deluser den Benutzer entfernen, ohne das Home-Verzeichnis, den E-Mail-Puffer oder sonstige im System vorhandene Dateien zu löschen, die dem Benutzer gehören. Das Home-Verzeichnis und der E-Mail-Puffer können mit der Option --remove-home entfernt werden. Die Option --remove-all-files entfernt alle Dateien des Benutzers aus dem System. Beachten Sie: Wenn Sie auch --remove-home aktivieren, hat dies keine Wirkung, da alle Dateien einschließlich des Home-Verzeichnisses und des E-Mail-Puffers bereits von der Option --remove-all-files abgedeckt sind. Wenn Sie alle Dateien vor dem Löschen sichern möchten, können Sie die Option --backup aktivieren, welche die Sicherungsdatei »username.tar(.gz|.Bz2)« in das von der Option --backup-to bestimmte Verzeichnis (standardmäßig das aktuelle Verzeichnis) schreibt. Sowohl die --remove- als auch die --backup-Optionen können auch als Standard in der Konfigurationsdatei /etc/deluser.conf festgelegt werden (siehe deluser.conf(5) für Details). Wenn Sie das Benutzerkonto »root« (UID 0) entfernen wollen, verwenden Sie den Parameter --force. So können Sie vermeiden, diesen Benutzer aus Versehen zu löschen. Wenn die Datei /usr/local/sbin/deluser.local existiert, wird sie nach dem Löschen des Benutzerkontos ausgeführt, um lokale Aufräumarbeiten zu erledigen. An adduser.local werden die folgenden Argumente übergeben:
Benutzername, UID, GID und Home-Verzeichnis.

  Entfernen einer Gruppe
Wird deluser mit der Option --group oder stattdessen delgroup aufgerufen, wird eine Gruppe entfernt. Warnung: Die primäre Gruppe eines bestehenden Benutzers kann nicht entfernt werden. Wird die Option --only-if-empty gewählt, wird die Gruppe nicht entfernt, wenn sie noch Mitglieder hat.

  Entfernen eines Benutzers aus einer bestimmten Gruppe
Wird deluser mit zwei nicht optionalen Argumenten aufgerufen, wird ein Benutzer aus einer bestimmten Gruppe entfernt.

OPTIONEN

--conf DATEI
    DATEI wird anstatt der Standard-Dateien /etc/deluser.conf und /etc/adduser.conf verwendet.

--group
    Entfernt eine Gruppe. Das ist das Standardverhalten bei einem Aufruf als delgroup.

--help
    Kurzanleitung anzeigen

--quiet
    Fortschrittsanzeige unterdücken

--system
    Benutzer/Gruppe nur entfernen, wenn es ein System-Benutzer oder eine System-Gruppe ist. Damit wird das versehentliche Löschen von Nicht-System-Benutzern/-Gruppen vermieden. Zusätzlich wird kein Fehler zurückgegeben, wenn der Benutzer nicht im System existiert. Diese Option ist hauptsächlich für den Gebrauch in Skripten von Debian-Paketbetreuern gedacht.

--backup
    Alle Dateien im Home-Verzeichnis und im E-Mail-Puffer des Benutzers werden in die Datei /$user.tar.(bz2|gz) gesichert.

--backup-to
    Die Sicherungsdatei wird nicht im Wurzelverzeichnis (/) gespeichert, sondern in dem von diesem Parameter festgelegten Verzeichnis. Implizit wird damit auch die Option --backup gewählt.

--remove-home
    Entfernt das Home-Verzeichnis des Benutzers und seinen E-Mail-Puffer. Ist --backup gewählt, wird vor dem Löschen der Dateien eine Sicherungskopie erstellt.

--remove-all-files
    Entfernt alle Dateien aus dem System, die der Benutzer besitzt.Hinweis: --remove-home hat keinen Effekt mehr. Wenn -- backup angegeben wird, werden die Dateien gelöscht, nachdem eine Sicherung durchgeführt wurde.

--version
    Anzeige der Version und von Copyright-Informationen

RÜCKGABEWERT

0   Die Aktion wurde erfolgreich ausgeführt.

1   Der Benutzer, der gelöscht werden sollte, hatte kein Systemkonto. Es wurde nichts unternommen.

2   Dieser Benutzer existiert nicht. Es wurde nichts unternommen.

3   Diese Gruppe existiert nicht. Es wurde nichts unternommen.

4   Es wurde nichts unternommen (interner Fehler).

5   Die Gruppe wurde nicht gelöscht, weil sie noch Mitglieder hatte. Es wurde nichts unternommen.

6   Der Benutzer gehört nicht zu der angegebenen Gruppe. Es wurde nichts unternommen.

7   Sie können einen Benutzer nicht aus seiner primären Gruppe entfernen. Es wurde nichts unternommen.

8   Das erforderlich Perl-Paket »perl-modules« ist nicht installiert. Dieses Paket ist für die Ausführung der gewählten Aktionen erforderlich. Es wurde nichts unternommen.

9   Für die Entfernung des Benutzers »root« ist der Parameter --force erforderlich. Es wurde nichts unternommen.

DATEIEN
/etc/deluser.conf

SIEHE AUCH
deluser.conf(5), adduser(8), groupdel(8), userdel(8)

COPYRIGHT
Copyright (C) 2000 Roland Bauerschmidt. Modifikationen (C) 2004 Marc Haber und Joerg Hoh. Diese Handbuchseite und das Programm deluser beruhen auf adduser;
Copyright (C) 1997, 1998, 1999 Guy Maor;
Copyright (C) 1995 Ted Hajek. Er übernahm sehr viel von der ursprünglichen Debian-Version von adduser.
Copyright (C) 1994 Ian Murdock. Deluser ist freie Software; siehe die GNU General Public Licence Version 2 oder später für die Kopierbedingungen. Es wird keine Garantie übernommen.